var scriptName = "EatNoHit";
var scriptAuthor = "By Survi_G";
var scriptVersion = 1.0;
var killauraModule = moduleManager.getModule("Killaura");


function FlyModule() {

    this.getName = function() {
        return "EatNoHit";
    }

    this.getDescription = function() {
        return "idk :v"
    }

    this.getCategory = function() {
        return "Fun";

    }
    
    this.onMotion = function() {
    	if (mc.thePlayer.isUsingItem() == true) {
    		killauraModule.setState(false)
    		} else {
    			killauraModule.setState(true)


    	}
    

    }

    this.onEnable = function() {
    	



        



    }
    
    this.onDisable = function() {

  
    }


}

var flyModule = new FlyModule();
var flyModuleClient;

function onEnable() {
    flyModuleClient = moduleManager.registerModule(flyModule);
}

function onDisable() {
    moduleManager.unregisterModule(flyModuleClient);
}